Package org.kie.api.pmml

## Class PMML4Result

- java.lang.Object
- - org.kie.api.pmml.PMML4Result

-     public class PMML4Result
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PMML4Result()` |
    `PMML4Result​(java.lang.String correlationId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addResultVariable​(java.lang.String objName, java.lang.Object object)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCorrelationId()` |
    `java.lang.String` | `getResultCode()` |
    `java.lang.String` | `getResultObjectName()` |
    `<T> java.util.Optional<T>` | `getResultValue​(java.lang.String objName, java.lang.String objField, java.lang.Class<T> clazz, java.lang.Object... params)` |
    `java.lang.Object` | `getResultValue​(java.lang.String objName, java.lang.String objField, java.lang.Object... params)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getResultVariables()` |
    `java.lang.String` | `getSegmentationId()` |
    `java.lang.String` | `getSegmentId()` |
    `int` | `getSegmentIndex()` |
    `int` | `hashCode()` |
    `void` | `setCorrelationId​(java.lang.String correlationId)` |
    `void` | `setResultCode​(java.lang.String resultCode)` |
    `void` | `setResultObjectName​(java.lang.String resultObjectName)` |
    `void` | `setResultVariables​(java.util.Map<java.lang.String,​java.lang.Object> resultVariables)` |
    `void` | `setSegmentationId​(java.lang.String segmentationId)` |
    `void` | `setSegmentId​(java.lang.String segmentId)` |
    `void` | `setSegmentIndex​(int segmentIndex)` |
    `java.lang.String` | `toString()` |
    `void` | `updateResultVariable​(java.lang.String objName, java.lang.Object obj)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PMML4Result

          public PMML4Result()

    - #### PMML4Result

          public PMML4Result​(java.lang.String correlationId)

  - ### Method Detail

    - #### getResultCode

          public java.lang.String getResultCode()

    - #### setResultCode

          public void setResultCode​(java.lang.String resultCode)

    - #### getSegmentationId

          public java.lang.String getSegmentationId()

    - #### setSegmentationId

          public void setSegmentationId​(java.lang.String segmentationId)

    - #### getSegmentId

          public java.lang.String getSegmentId()

    - #### setSegmentId

          public void setSegmentId​(java.lang.String segmentId)

    - #### getSegmentIndex

          public int getSegmentIndex()

    - #### setSegmentIndex

          public void setSegmentIndex​(int segmentIndex)

    - #### getResultObjectName

          public java.lang.String getResultObjectName()

    - #### setResultObjectName

          public void setResultObjectName​(java.lang.String resultObjectName)

    - #### getResultVariables

          public java.util.Map<java.lang.String,​java.lang.Object> getResultVariables()

    - #### updateResultVariable

          public void updateResultVariable​(java.lang.String objName,
                                           java.lang.Object obj)

    - #### setResultVariables

          public void setResultVariables​(java.util.Map<java.lang.String,​java.lang.Object> resultVariables)

    - #### addResultVariable

          public void addResultVariable​(java.lang.String objName,
                                        java.lang.Object object)

    - #### getResultValue

          public <T> java.util.Optional<T> getResultValue​(java.lang.String objName,
                                                          java.lang.String objField,
                                                          java.lang.Class<T> clazz,
                                                          java.lang.Object... params)

    - #### getResultValue

          public java.lang.Object getResultValue​(java.lang.String objName,
                                                 java.lang.String objField,
                                                 java.lang.Object... params)

    - #### getCorrelationId

          public java.lang.String getCorrelationId()

    - #### setCorrelationId

          public void setCorrelationId​(java.lang.String correlationId)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`